tomcat-8 in main for upcoming 16.04 LTS

Bug #1539903 reported by Stefan Huehner on 2016-01-30
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
bsh (Ubuntu)
Undecided
Martin Pitt
excalibur-logkit (Ubuntu)
Undecided
Unassigned
hsqldb1.8.0 (Ubuntu)
Undecided
Martin Pitt
jakarta-taglibs-standard (Ubuntu)
Undecided
Unassigned
libcommons-dbcp-java (Ubuntu)
Undecided
Unassigned
libcommons-logging-java (Ubuntu)
Undecided
Martin Pitt
tomcat8 (Ubuntu)
Low
Nish Aravamudan

Bug Description

Dear Maintainer,

current tomcat8 seems to be still targeting universe section only for the upcoming 16.04 LTS and tomcat7 main.

As i understand it this also means tomcat8 not being covered by LTS 5 year support but only the older tomcat7.

Is it still possible to tomcat8 promoted to main for 16.04?

If not what is blocking this decision and/or could be done to help it?

Note:
I am trying to get info for this question for a while via the 'Answers' system but could not get any answer there. So reporting as a bug now.
https://answers.launchpad.net/ubuntu/+source/tomcat8/+question/268290

Regards,
Stefan

Nish Aravamudan (nacc) wrote :

Hi Stefan!

Thank you for your bug report. I am looking at exactly this issue from the Ubuntu Server team's perspective. I will hopefully be able to provide a better update on Monday my time.

-Nish

Stefan Huehner (stefan-huehner) wrote :

Hi Nish,
thank you for your reply.

Do you have any news on this topic already?

Regards,
Stefan

Nish Aravamudan (nacc) wrote :
Changed in tomcat8 (Ubuntu):
assignee: nobody → Nish Aravamudan (nacc)
Nish Aravamudan (nacc) wrote :

Hi Stefan,

I've added the debdiff that allows tomcat8 to build with only main available.

I have also submitted a merge proposal to update the seeds to promote tomcat8 and demote tomcat7: https://code.launchpad.net/~nacc/ubuntu-seeds/ubuntu.xenial-tomcat8/+merge/286358.

Thanks,
Nish

The attachment "Remove universe build-dependencies" seems to be a debdiff. The ubuntu-sponsors team has been subscribed to the bug report so that they can review and hopefully sponsor the debdiff. If the attachment isn't a patch, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are member of the ~ubuntu-sponsors, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issue please contact him.]

tags: added: patch
Changed in tomcat8 (Ubuntu):
importance: Undecided → Low
Martin Pitt (pitti) wrote :

I sponsored this with cleaning up the changelog: You can't "promote a package to main" with an upload (so that's confusing in a changelog) and you didn't mention the addition of the new patch. I also ran "update-maintainer".

Changed in tomcat8 (Ubuntu):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tomcat8 - 8.0.32-1ubuntu1

---------------
tomcat8 (8.0.32-1ubuntu1) xenial; urgency=medium

  * Prepare to promote tomcat8 to main (LP: #1539903).
    - debian/control, 0021-ubuntu-mainize-build-xml.patch: Remove
      build-dependencies on libobjenesis-java and libeasymock-java, and skip
      tests that rely on the functionality they provide.

 -- Nishanth Aravamudan <email address hidden> Fri, 05 Feb 2016 09:20:39 +0100

Changed in tomcat8 (Ubuntu):
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

hsqldb depends on libservlet3.0-java from tomcat7, it needs to move to libservlet3.1-java.

Changed in hsqldb1.8.0 (Ubuntu):
assignee: nobody → Martin Pitt (pitti)
status: New → In Progress
Martin Pitt (pitti) wrote :

Adding tasks for other reverse dependencies of libservlet3.0-java* which need to be moved to 3.1.

Martin Pitt (pitti) on 2016-02-22
Changed in hsqldb1.8.0 (Ubuntu):
status: In Progress → Fix Committed
Changed in libcommons-logging-java (Ubuntu):
status: New → Fix Committed
assignee: nobody → Martin Pitt (pitti)
Martin Pitt (pitti) wrote :

https://launchpad.net/ubuntu/+source/jakarta-taglibs-standard/1.1.2-4 moves to 3.1, but is currently depwaiting on libservlet3.1-java. It'll start to build in about an hour.

Changed in jakarta-taglibs-standard (Ubuntu):
status: New → Fix Committed
Martin Pitt (pitti) on 2016-02-22
Changed in bsh (Ubuntu):
status: New → Fix Committed
assignee: nobody → Martin Pitt (pitti)
Changed in excalibur-logkit (Ubuntu):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package bsh - 2.0b4-15ubuntu1

---------------
bsh (2.0b4-15ubuntu1) xenial; urgency=medium

  * Move to Servlet API 3.1 (LP: #1539903)

 -- Martin Pitt <email address hidden> Mon, 22 Feb 2016 15:15:58 +0100

Changed in bsh (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package excalibur-logkit - 2.0-11ubuntu2

---------------
excalibur-logkit (2.0-11ubuntu2) xenial; urgency=medium

  * Switch back to Servlet API 3.1 (LP: #1539903)

 -- Martin Pitt <email address hidden> Mon, 22 Feb 2016 15:19:27 +0100

Changed in excalibur-logkit (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libcommons-logging-java - 1.2-1+build1

---------------
libcommons-logging-java (1.2-1+build1) xenial; urgency=medium

  * Revert Ubuntu delta as we now moved to tomcat8. (LP: #1539903)

 -- Martin Pitt <email address hidden> Mon, 22 Feb 2016 15:09:18 +0100

Changed in libcommons-logging-java (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package hsqldb1.8.0 - 1.8.0.10+dfsg-5ubuntu2

---------------
hsqldb1.8.0 (1.8.0.10+dfsg-5ubuntu2) xenial; urgency=medium

  * Revert previous change, we now moved to tomcat8. (LP: #1539903)
  * debian/control: Update binary dependency to libservlet3.1-java.
    (Closes: #815562)

 -- Martin Pitt <email address hidden> Mon, 22 Feb 2016 15:03:54 +0100

Changed in hsqldb1.8.0 (Ubuntu):
status: Fix Committed → Fix Released
Martin Pitt (pitti) on 2016-02-22
Changed in jakarta-taglibs-standard (Ubuntu):
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :
Changed in libcommons-dbcp-java (Ubuntu):
status: New → In Progress
assignee: nobody → Martin Pitt (pitti)
assignee: Martin Pitt (pitti) → nobody
status: In Progress → Fix Committed
Martin Pitt (pitti) on 2016-02-23
Changed in libcommons-dbcp-java (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers